summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--config/libc/uClibc.in19
-rw-r--r--scripts/build/libc/uClibc.sh22
2 files changed, 7 insertions, 34 deletions
diff --git a/config/libc/uClibc.in b/config/libc/uClibc.in
index 9a8d946..fc99e27 100644
--- a/config/libc/uClibc.in
+++ b/config/libc/uClibc.in
@@ -82,23 +82,6 @@ config LIBC_UCLIBC_V_0_9_28_3
prompt "0.9.28.3 (OBSOLETE)"
depends on OBSOLETE
-# As of today (20100702) we can be pretty sure that every
-# snapshots made since a month ago are post -0.9.30.
-
-config LIBC_UCLIBC_V_snapshot
- bool
- prompt "latest snapshot (EXPERIMENTAL)"
- depends on EXPERIMENTAL
- select LIBC_SUPPORT_NPTL
- select LIBC_UCLIBC_0_9_30_or_later
-
-config LIBC_UCLIBC_V_specific_date
- bool
- prompt "<specific date> (EXPERIMENTAL)"
- depends on EXPERIMENTAL
- select LIBC_SUPPORT_NPTL
- select LIBC_UCLIBC_0_9_30_or_later
-
config LIBC_UCLIBC_CUSTOM
bool
prompt "Custom uClibc"
@@ -122,7 +105,6 @@ endif # LIBC_UCLIBC_CUSTOM
config LIBC_VERSION
string
- prompt "Enter date (YYYYMMDD)" if LIBC_UCLIBC_V_specific_date
# Don't remove next line
# CT_INSERT_VERSION_STRING_BELOW
default "0.9.33.2" if LIBC_UCLIBC_V_0_9_33_2
@@ -137,7 +119,6 @@ config LIBC_VERSION
default "0.9.30" if LIBC_UCLIBC_V_0_9_30
default "0.9.29" if LIBC_UCLIBC_V_0_9_29
default "0.9.28.3" if LIBC_UCLIBC_V_0_9_28_3
- default "snapshot" if LIBC_UCLIBC_V_snapshot
default "custom" if LIBC_UCLIBC_CUSTOM
config LIBC_UCLIBC_0_9_32_or_later
diff --git a/scripts/build/libc/uClibc.sh b/scripts/build/libc/uClibc.sh
index affdb97..395d31d 100644
--- a/scripts/build/libc/uClibc.sh
+++ b/scripts/build/libc/uClibc.sh
@@ -10,11 +10,7 @@ uclibc_local_tarball="uClibc-locale-${uclibc_locales_version}"
# Download uClibc
do_libc_get() {
libc_src="http://www.uclibc.org/downloads
- http://www.uclibc.org/downloads/snapshots
http://www.uclibc.org/downloads/old-releases"
- # For uClibc, we have almost every thing: releases, and snapshots
- # for the last month or so. We'll have to deal with svn revisions
- # later...
if [ "${CT_LIBC_UCLIBC_CUSTOM}" = "y" ]; then
CT_GetCustom "uClibc" "${CT_LIBC_VERSION}" \
"${CT_LIBC_UCLIBC_CUSTOM_LOCATION}"
@@ -31,16 +27,14 @@ do_libc_get() {
# Extract uClibc
do_libc_extract() {
- # If using custom directory location, nothing to do
- if [ "${CT_LIBC_UCLIBC_CUSTOM}" = "y" \
+ # If not using custom directory location, extract and patch
+ # Note: we do the inverse test we do in other components,
+ # because here we still need to extract the locales, even for
+ # custom location directory. Just use negate the whole test,
+ # to keep it the same as for other components.
+ if ! [ "${CT_LIBC_UCLIBC_CUSTOM}" = "y" \
-a -d "${CT_SRC_DIR}/uClibc-${CT_LIBC_VERSION}" ]; then
- return 0
- fi
- CT_Extract "uClibc-${CT_LIBC_VERSION}"
- # Don't patch snapshots
- if [ -z "${CT_LIBC_UCLIBC_V_snapshot}" \
- -a -z "${CT_LIBC_UCLIBC_V_specific_date}" \
- ]; then
+ CT_Extract "uClibc-${CT_LIBC_VERSION}"
CT_Patch "uClibc" "${CT_LIBC_VERSION}"
fi
@@ -467,8 +461,6 @@ mungeuClibcConfig() {
fi
# Push the threading model
- # Note: we take into account all of the .28, .29, .30 and .31
- # versions, here. Even snapshots with NPTL.
case "${CT_THREADS}:${CT_LIBC_UCLIBC_LNXTHRD}" in
none:)
cat <<-ENDSED